Package nl.tudelft.simulation.dsol.tutorial.section25

# Class Customer

java.lang.Object
nl.tudelft.simulation.dsol.tutorial.section25.Customer

    public class Customer
    extends Object

The Customer class as presented in section 2.5 in the DSOL tutorial..

Copyright (c) 2002-2019 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Customer​(DEVSSimulatorInterface.TimeDouble simulator)` | constructs a new Customer.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Customer

public Customer​(DEVSSimulatorInterface.TimeDouble simulator)
constructs a new Customer.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; The simulator to use.